%define name    gmorgan
%define version 0.23
%define release 1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      MIDI organ with full auto-accompaniment
Name:         %{name}
Version:      %{version}
Release:      %{release}
URL:          http://gmorgan.sf.net/
Source0:      %{name}-%{version}.tar.gz
Source1:      %{name}-doc.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

BuildRequires: gcc-c++ gettext alsa-lib-devel XFree86-devel fltk-devel
BuildRequires: libjpeg-devel libpng-devel

%description
gmorgan is a modern MIDI organ with full auto-accompaniment. It
emulates a Rythm Station. In other words, if you have a computer and a
midi keyboard, it gives you that funky Yaland/Romaha keyboard you have
seen costing more than 1000 euros/dollars. Yeah you know, the one that
let you play whole songs with only one finger! Now the show-biz doors
are wide open to you.

Because there is a chord sequencer too, you can use gmorgan like
a... Band in a (linux) box! It's not so complete, but it's working
right now. Some songs are included to play along with, for training of
just for fun.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make MKINSTALLDIRS=%{_builddir}/%{name}-%{version}/mkinstalldirs \
     DESTDIR=$RPM_BUILD_ROOT install

cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Gmorgan
Comment=MIDI organ with full auto-accompaniment
Icon=/usr/share/gmorgan/help/gmorgan_logo.jpg
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

# add documentation
tar xzf %{SOURCE1}
mv gmorgan-doc doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README doc/gmorgan*
%{_bindir}/gmorgan
%{_datadir}/gmorgan
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif
%{_datadir}/locale/*/*/*.mo

%changelog
* Sun Jul  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.23-1
- updated to 0.23
* Mon May 10 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires
* Wed Feb  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.22-1
- updated to 0.22
* Tue Jan 13 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.21-1
- updated to 0.21
- fix MKINSTALLDIRS for /po directory install
- added local files
- add documentation (now a separate tarball)
* Fri Dec 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.18-1
- updated to 0.18
- added pdf and xsw documentation to doc file list
- added icon (sort of, just using the logo)
* Mon Sep 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.17-1
- updated to 0.17
* Thu Sep 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.16-1
- updated to 0.16
* Mon Sep  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-1
- updated to 0.15
* Tue Aug 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.14-1
- updated to 0.14
* Mon Aug 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.13-1
- updated to 0.13
* Thu Aug 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12-1
- updated to 0.12
* Sun Aug 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.11-1
- updated to 0.11
* Thu Aug  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.10-1
- initial build
